Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List triage evaluations

The rule evaluation log — one row per inbound record evaluated while at least one active rule existed for its record type: which rule matched (ruleId null on no_match), the outcome, and what the action applied.

GET/workspaces/{organizationId}/triage/evaluations
Path parameters
organizationIdstringrequired
Query parameters
recordTypestring
Allowed:leadintake_itemcustomerdealissuesupport_ticket
recordIdstring
ruleIdstring
limitinteger
min 1 · max 200
Responses
200

Evaluation log

evaluationsobject[]required
Show properties
Array of object
idstringrequired
organizationIdstringrequired
recordTypestringrequired
recordIdstringrequired
ruleIdstring | nullrequired
ruleNamestring | nullrequired
outcomestringrequired
Allowed:matchedno_matcherror
detailobject | nullrequired
createdAtstringrequired
Try it
Server
Parameters
Request
curl -X GET '/workspaces/string/triage/evaluations' \
  -H 'Accept: application/json'
Response
{
  "evaluations": [
    {
      "id": "string",
      "organizationId": "string",
      "recordType": "string",
      "recordId": "string",
      "ruleId": "string",
      "ruleName": "string",
      "outcome": "matched",
      "detail": {
        "property1": null,
        "property2": null
      },
      "createdAt": "string"
    }
  ]
}

Was this page helpful?